extends /layouts/main.pug

include /mixins/navigation.pug

append styles
  link(rel="stylesheet", href=self.url("css/plugins/plugin-search/search" + (self.debug ? "" : ".min") + ".css"))

block body
  include /partials/navigation.pug
    block content
      article#search-results
        #search-form-in-page
          form.search-form(name="search-edit", action=self.url("search"), method="get")
            label.sr-only(for="header-search") Search
            .input-group
              input.input(id="header-search", name="q", type="text", placeholder="Search", value=self.query,
              onfocus="this.setSelectionRange(" + self.query.length + "," + self.query.length + ");", autofocus)
              button.btn.input-group-addon(type="submit") >
        if self.error != null
          .error!=self.error
        else
          #search-header #[span.search-total=self.total] results for #[span.search-query=self.query]
          each entry in self.entries
            .search-result(data-score=entry.score)
              a.search-result-header(href=self.url("content/" + entry.index.uri))
                .search-meta Score: #[span.search-score=entry.score.toFixed(4)]
                =entry.index.meta.title
                .clearfix
              .search-result-body
                each parent in entry.parentPath
                  a.parent(href=self.url("content/" + parent.uri))=parent.meta.title
                  |
                  | /
                  |
                a.self(href=self.url("content/" + entry.index.uri))=entry.index.meta.title
